$(function(){
	//	Switch Button
	$('.switchCheckbox').wrap('<div style=\"display:inline-block;\"></div>');
	$('.switchCheckbox').switchButton({
		on_label: 'Open',
		off_label: 'Close',
		width:40,
		height:20,
		button_width:20,
		labels_placement: 'right'
	});
	
//	Add Tab Heading Icons
	$('.oneit-vertical-tab .nav > li > a').wrapInner("<span class='tabLink'>")
	$('.oneit-vertical-tab .nav > li:NTH-CHILD(2) > a').prepend("<span title='Candidate' class='glyphicon glyphicon-user tabIcon'></span>")
	$('.oneit-vertical-tab .nav > li:NTH-CHILD(3) > a').prepend("<span title='Role Summary' class='glyphicon glyphicon-list-alt tabIcon'></span>")
	
	
//	Tab Menu Animate
	$('.oneit-vertical-tab').mouseenter(function(){
		$('.oneit-vertical-tab').animate({
			width: "16%"
		},{ 
			duration: 500,
			specialEasing: {
				width: "easeOutExpo"
			},
			queue: false
		});
		
		$('.oneit-vertical-tab-right-content').animate({
			width: "83%"
		},{ 
			duration: 500,
			specialEasing: {
				width: "easeOutExpo"
			},
			queue: false
		});
		$('.oneit-vertical-tab .nav > li > a .tabLink').fadeIn({
			duration: 200,
			specialEasing: {
				width: "easeOutExpo"
			},
			queue:true
		});
	}).mouseleave(function(){
		$('.oneit-vertical-tab .nav > li > a .tabLink').fadeOut({
			duration: 200,
			specialEasing: {
				width: "easeOutExpo"
			},
			queue:true
		});
		$('.oneit-vertical-tab').animate({
			width: "5%"
		},{ 
			duration: 500,
			specialEasing: {
				width: "easeInExpo"
			},
			queue: false
		});
		
		$('.oneit-vertical-tab-right-content').animate({
			width: "95%"
		},{ 
			duration: 500,
			specialEasing: {
				width: "easeInExpo"
			},
			queue: false
		});
	});
});